## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMMap

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMMap

    public class ASMMap

extends ASMOclAny

A non-OCL type. Proves useful in some transformations to establish mappings.

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMMap()`
`ASMMap(java.util.Map init)`

Method Summary
`static ASMBoolean` `containsKey(StackFrame frame, ASMMap self, ASMOclAny o)`
`static ASMBoolean` `containsValue(StackFrame frame, ASMMap self, ASMOclAny o)`
`boolean` `equals(java.lang.Object o)`
`ASMOclAny` `get(ASMOclAny key)`
`static ASMOclAny` `get(StackFrame frame, ASMMap self, ASMOclAny key)`
`java.util.Iterator` `getKeys()`
`static ASMSet` `getKeys(StackFrame frame, ASMMap self)`
`static ASMBag` `getValues(StackFrame frame, ASMMap self)`
`int` `hashCode()`
`static ASMMap` `including(StackFrame frame, ASMMap self, ASMOclAny key, ASMOclAny value)`
`void` `put(ASMOclAny key, ASMOclAny value)`
`java.lang.String` `toString()`
`static ASMMap` `union(StackFrame frame, ASMMap self, ASMMap other)`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### ASMMap

    public ASMMap()

### ASMMap

    public ASMMap(java.util.Map init)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### put

    public void put(ASMOclAny key,
                    ASMOclAny value)

### get

    public ASMOclAny get(ASMOclAny key)

### getKeys

    public java.util.Iterator getKeys()

### get

    public static ASMOclAny get(StackFrame frame,
                                ASMMap self,
                                ASMOclAny key)

### including

    public static ASMMap including(StackFrame frame,
                                   ASMMap self,
                                   ASMOclAny key,
                                   ASMOclAny value)

### containsKey

    public static ASMBoolean containsKey(StackFrame frame,
                                         ASMMap self,
                                         ASMOclAny o)

### containsValue

    public static ASMBoolean containsValue(StackFrame frame,
                                           ASMMap self,
                                           ASMOclAny o)

### union

    public static ASMMap union(StackFrame frame,
                               ASMMap self,
                               ASMMap other)

### getKeys

    public static ASMSet getKeys(StackFrame frame,
                                 ASMMap self)

### getValues

    public static ASMBag getValues(StackFrame frame,
                                   ASMMap self)

Copyright 2007 IBM Corporation and others. All Rights Reserved.